/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.net.URLEncoder;

public class FileDSCommons {

	private static final String SLASH = "/";
	
	private static final String ENCODING = "UTF-8";
	
	private static String translatedSlash;

	static {
		try {
			translatedSlash = URLEncoder.encode(SLASH, ENCODING);
		} catch (UnsupportedEncodingException e) {
			// there's nothing we can do
			e.printStackTrace();
		}
	}
	
	public static String translateToFileName(String pageName) {

		try {
			return URLEncoder.encode(pageName, ENCODING).replaceAll(translatedSlash, SLASH);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
			return pageName;
		}
	}

	public static String translateToPageName(String fileName) {

		try {
			return URLDecoder.decode(fileName.replaceAll(SLASH, translatedSlash), ENCODING);
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
			return fileName;
		}
	}
}
