/*
 * JBoss, Home of Professional Open Source
 * Copyright 2005, JBoss Inc., and individual contributors as indicated
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.wiki.management;

import java.io.Serializable;
import java.util.Set;

public class NotificationMsg implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Set<String> emails;
	
	private String pageContent;
	
	private String pageName;
	
	private String fromEmail;
	
	private String pageLink;
	
	public NotificationMsg(Set<String> emails, String pageContent, String pageName, String fromEmail, String pageLink) {
		this.emails = emails;
		this.pageContent = pageContent;
		this.pageName = pageName;
		this.fromEmail = fromEmail;
		this.pageLink = pageLink;
	}

	public Set<String> getEmails() {
		return emails;
	}

	public void setEmails(Set<String> emails) {
		this.emails = emails;
	}

	public String getPageContent() {
		return pageContent;
	}

	public void setPageContent(String pageContent) {
		this.pageContent = pageContent;
	}

	public String getPageName() {
		return pageName;
	}

	public void setPageName(String pageName) {
		this.pageName = pageName;
	}

	public String getFromEmail() {
		return fromEmail;
	}

	public String getPageLink() {
		return pageLink;
	}

}
